
#  Time-stamp: <2022-11-10 00:21:40>
#  Purpose   : script to plot bar chart of openings
#  Author    : Robbie Morrison <robbie.morrison@posteo.de>
#  Project   : openmod forum
#  Commenced : 09-Nov-2022
#  Status    : beta
#  Keywords  : python
#  Notes     : $ python3 openmod-forum-jobs.py

# OPEN LICENSE
#
# Copyright (c) 2022 Robbie Morrison <robbie.morrison@posteo.de>
#
# SPDX-License-Identifier: MIT
# License-Text:
#
# MIT License
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use,
# copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following
# conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the
# Software.
#
# The software is provided "as is", without warranty of any
# kind, express or implied, including but not limited to the
# warranties of merchantability, fitness for a particular
# purpose and noninfringement. in no event shall the authors or
# copyright holders be liable for any claim, damages or other
# liability, whether in an action of contract, tort or
# otherwise, arising from, out of or in connection with the
# software or the use or other dealings in the software.

import os
from matplotlib import pyplot
from pandas import read_csv

# --------------------------------------
#  specify file and read data
# --------------------------------------

datafile="forum-openings.csv"
# datafile="file:///home/robbie/synk/openmod/discourse/visualization/forum-openings.csv"

series = read_csv(datafile, header=10, skipfooter=2, index_col=0, parse_dates=True, engine='python')

# --------------------------------------
#  display some data
# --------------------------------------

print(series.head())
print()
print(series.tail())

# --------------------------------------
#  prepare output
# --------------------------------------

series = series.cumsum()
series.plot()

# --------------------------------------
#  create plot
# --------------------------------------

pyplot.xlabel("Date")
pyplot.ylabel("Count")
pyplot.title("Research openings posted to the openmod forum / cumulative sum")
pyplot.show()

#  end of file
